# Schulung: Mercedes-Benz MYP System - Backend Bedienung

## Übersicht
Das Mercedes-Benz Manage Your Printer (MYP) System ermöglicht die Verwaltung von 3D-Druckaufträgen für die Ausbildungswerkstatt. Diese Kurzanleitung erklärt den Antragsprozess für Gastnutzer.

## 1. Einstiegsseite - Meine Druckanträge

### Screenshot: MYP_Antrag_erstellen-Schritt1.png

**Beschreibung:**
- Übersichtsseite für eingereichte Anträge
- Zeigt Statistiken zu Anträgen (Gesamt, Prüfung, Genehmigt, Abgelehnt)
- Aktuelle Anfrage wird mit Status "Wird geprüft" angezeigt

**Wichtige Elemente:**
- **"Neuen Antrag stellen"** Button - Startet einen neuen Druckantrag
- **"Aktualisieren"** Button - Lädt die Seite neu für Status-Updates
- **"Alle Anträge"** Button - Zeigt Übersicht aller Anträge

**Anzeige der aktuellen Anfrage:**
- Antragsteller-Name
- E-Mail-Adresse
- Drucker (falls zugewiesen)
- Dauer und Zeitstempel
- Status ("In Bearbeitung" = gelb markiert)
- Projektbeschreibung

## 2. Neuen Antrag erstellen

### Screenshot: MYP_Antrag_erstellen-Schritt2.png

**Beschreibung:**
TBA-Nutzungsantrag (Technisches Betriebsmittel Antrag) für Drucker-Steckdosen

**Ablauf:**

1. **Persönliche Angaben**
   - Vollständiger Name (Pflichtfeld)
   - E-Mail-Adresse (Pflichtfeld)

2. **Projekt-Details**
   - Gewünschte Nutzungsdauer in Minuten (Pflichtfeld)
   - Projektbeschreibung (optional aber empfohlen)

3. **3D-Datei hochladen** (optional)
   - Unterstützte Formate: STL, OBJ, 3MF, AMF, GCODE
   - Maximale Dateigröße beachten

4. **Antrag einreichen**
   - Button "Meine Anfrage" klickt
   - System vergibt automatisch eine Anfrage-ID

**Wichtige Hinweise:**
- Alle Pflichtfelder müssen ausgefüllt werden
- Die Projektbeschreibung hilft bei der schnelleren Genehmigung
- Nach Einreichung wird ein 6-stelliger Code generiert

## 3. Anfrage-Status prüfen

### Screenshot: MYP_Antrag_erstellen-Fortschritt_prüfen.png

**Beschreibung:**
Detailansicht einer eingereichten Anfrage mit allen relevanten Informationen

**Status-Anzeige:**
- **"Wird geprüft"** (gelb) - Anfrage wartet auf Genehmigung
- **"Genehmigt"** (grün) - Anfrage wurde freigegeben
- **"Abgelehnt"** (rot) - Anfrage wurde nicht genehmigt

**Angezeigte Informationen:**
- Anfrage-ID (#2)
- Erstellungsdatum und Uhrzeit
- Name des Antragstellers
- Gewünschte Dauer
- Projektbegründung
- Benachrichtigung über Prüfstatus

**Nach Genehmigung:**
- Ein 6-stelliger Code wird generiert
- Dieser Code startet den Druckauftrag
- Code ist 48-72 Stunden gültig

## Technische Funktionen im Hintergrund

### Datenbankstruktur
- `GuestRequest` - Speichert alle Gastanfragen
- `Job` - Verwaltet die eigentlichen Druckaufträge
- `Printer` - Enthält alle verfügbaren Drucker
- `Notification` - Benachrichtigungssystem für Genehmiger

### Sicherheitsfunktionen
- OTP-Code (One-Time-Password) System
- IP-Adressen-Protokollierung
- Zeitbasierte Code-Validierung
- Berechtigungssystem für Genehmiger

### API-Endpunkte
- `POST /guest/request` - Neue Anfrage erstellen
- `GET /guest/request/<id>` - Status abfragen
- `POST /api/guest/start-job` - Job mit Code starten

## Hinweise für Ausbilder

1. **Genehmigungsprozess:**
   - Anträge erscheinen im Admin-Dashboard
   - Prüfung der Projektbeschreibung
   - Zuweisung eines Druckers
   - Genehmigung oder Ablehnung mit Begründung

2. **Monitoring:**
   - Alle Aktivitäten werden protokolliert
   - Statistiken über Nutzung verfügbar
   - E-Mail-Benachrichtigungen bei neuen Anträgen

3. **Support:**
   - Bei technischen Problemen Log-Dateien prüfen
   - Fehlerhafte Anträge können gelöscht werden
   - Notfall-Stopp für laufende Jobs möglich 